REM MonolithChineseInputEnvironment Installer

@echo off

echo Soon, it will be starting to install MonolithCIE.
timeout /t 10

echo installing pywin32 
.\APPS\pywin32-221.win32-py3.4.exe
echo done

echo installing infi.systray keyboard Pinyin2Hanzi
cd .\APPS\infi.systray-0.1.10
C:\Python34\python.exe setup.py install
cd ..\..\
cd .\APPS\keyboard-0.11.0
C:\Python34\python.exe setup.py install
cd ..\..\
cd .\APPS\Pinyin2Hanzi-0.1.1
C:\Python34\python.exe setup.py install
cd ..\..\
echo done

echo installing SentinelFEP
xcopy /e .\APPS\SentinelFEP "%PROGRAMFILES%\SentinelFEP\"
echo done

echo installing HotkeyP
reg import .\APPS\hotkeyp\default.reg
xcopy /e .\APPS\hotkeyp "%PROGRAMFILES%\hotkeyp\"
echo done

echo Close this installer, then, reboot your computer.
"%PROGRAMFILES%\hotkeyp\HotkeyP.exe" 0
